import {
  Component,
  input,
  output
} from '@angular/core';
import { NgIcon, provideIcons } from '@ng-icons/core';
import { lucideX } from '@ng-icons/lucide';
import { LinkMetadata } from '../../../../../../../shared-kernel';

@Component({
  selector: 'app-chat-link-embed',
  standalone: true,
  imports: [NgIcon],
  viewProviders: [provideIcons({ lucideX })],
  templateUrl: './chat-link-embed.component.html'
})
export class ChatLinkEmbedComponent {
  readonly metadata = input.required<LinkMetadata>();
  readonly canRemove = input(false);
  readonly removed = output();
}
